> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Install App To Production Tenant

> Install an application to a production tenant.



## OpenAPI

````yaml /openapi/openapi_appdevelopement.json post /platform/appdev/appinstall/toproductiontenant
openapi: 3.0.1
info:
  description: |-
    <div id="overview_APPDEVELOPEMENT">
                <h2>APP DEVELOPMENT</h2>
                <p>The Applications API updates and retrieves details about the applications installed for your tenant. Use
                    the AuthTickets resource for applications resource to manage authentication tickets for your apps. For information about creating applications, see the <a href="/pages/applications-1a6c791">Application Development</a> guides.</p>
                <p>Use the<strong>App Auth Tickets</strong> resource to manage authentication tickets for your applications.</p>
                <p>Use the <strong>Filebased Package</strong> resource to download a file-based representation of the application definition to work on collaboratively with your team using your own source control process.</p>
                <p>Use the <strong>Package</strong> resource to manage the application packages and retrieve summaries.</p>
                <p>Use the <strong>Public Application</strong> resource to retrieve package metadata or application versions as well as manage package files.</p>
            </div>
  title: App Development
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /platform/appdev/appinstall/toproductiontenant:
    post:
      tags:
        - AppInstall
      summary: Install App To Production Tenant
      description: Install an application to a production tenant.
      parameters:
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApplicationEntitlement'
        description: ''
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApplicationEntitlement'
            text/json:
              schema:
                $ref: '#/components/schemas/ApplicationEntitlement'
            text/plain:
              schema:
                $ref: '#/components/schemas/ApplicationEntitlement'
          description: OK
components:
  schemas:
    ApplicationEntitlement:
      description: ''
      properties:
        appKey:
          description: ''
          nullable: true
          type: string
        appOwnerDevAccountId:
          description: Denotes the application owner dev account id
          format: int32
          type: integer
        applicationEntitlementId:
          description: ''
          format: int32
          type: integer
        applicationId:
          description: ''
          format: int32
          type: integer
        applicationLicenseType:
          description: ''
          nullable: true
          type: string
        applicationName:
          description: ''
          nullable: true
          type: string
        applicationStatusId:
          description: ''
          nullable: true
          type: string
        applicationTransactions:
          description: ''
          items:
            $ref: '#/components/schemas/ApplicationTransaction'
          nullable: true
          type: array
        applicationVersion:
          description: ''
          nullable: true
          type: string
        devAccountId:
          description: Denotes which DevAccountId is the application installed in
          format: int32
          type: integer
        effectiveEndDate:
          description: ''
          format: date-time
          nullable: true
          type: string
        effectiveStartDate:
          description: ''
          format: date-time
          nullable: true
          type: string
        entitlementStatus:
          description: ''
          nullable: true
          type: string
        installedAppsApplicationId:
          description: ''
          nullable: true
          type: string
        installedByFirstName:
          description: ''
          nullable: true
          type: string
        installedByLastName:
          description: ''
          nullable: true
          type: string
        installedDate:
          description: ''
          format: date-time
          type: string
        packageId:
          description: ''
          format: int32
          type: integer
        packageName:
          description: ''
          nullable: true
          type: string
        siteId:
          description: ''
          format: int32
          nullable: true
          type: integer
        tenantId:
          description: ''
          format: int32
          type: integer
        tenantName:
          description: ''
          nullable: true
          type: string
      type: object
    ApplicationTransaction:
      description: ''
      properties:
        applicationEntitlementId:
          description: ''
          format: int32
          nullable: true
          type: integer
        applicationId:
          description: ''
          format: int32
          type: integer
        applicationTransactionId:
          description: ''
          format: int32
          type: integer
        isoCurrencyCode:
          description: ''
          nullable: true
          type: string
        localeCode:
          description: ''
          format: int32
          type: integer
        orderNumber:
          description: ''
          nullable: true
          type: string
        siteId:
          description: ''
          format: int32
          nullable: true
          type: integer
        tenantId:
          description: ''
          format: int32
          type: integer
        transactionDate:
          description: ''
          format: date-time
          type: string
        transactionPrice:
          description: ''
          format: double
          type: number
        transactionTax:
          description: ''
          format: double
          type: number
        transactionTotal:
          description: ''
          format: double
          type: number
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````